Index: apps/app_queue.c
===================================================================
--- apps/app_queue.c	(revision 378206)
+++ apps/app_queue.c	(working copy)
@@ -2445,6 +2445,15 @@
 	}
 }
 
+#define QUEUE_PAUSED_DEVSTATE AST_DEVICE_INUSE
+#define QUEUE_UNPAUSED_DEVSTATE AST_DEVICE_NOT_INUSE
+#define QUEUE_UNKNOWN_PAUSED_DEVSTATE AST_DEVICE_NOT_INUSE
+
+
+#define QUEUE_PAUSED_DEVSTATE AST_DEVICE_INUSE
+#define QUEUE_UNPAUSED_DEVSTATE AST_DEVICE_NOT_INUSE
+#define QUEUE_UNKNOWN_PAUSED_DEVSTATE AST_DEVICE_NOT_INUSE
+
 /*! \internal
  * \brief If adding a single new member to a queue, use this function instead of ao2_linking.
  *        This adds round robin queue position data for a fresh member as well as links it.
@@ -2456,6 +2465,7 @@
 	ao2_lock(queue->members);
 	mem->queuepos = ao2_container_count(queue->members);
 	ao2_link(queue->members, mem);
+	ast_devstate_changed(mem->paused ? QUEUE_PAUSED_DEVSTATE : QUEUE_UNPAUSED_DEVSTATE, "qpause:%s:%s", queue->name, mem->interface);
 	ao2_unlock(queue->members);
 }
 
@@ -2470,6 +2480,7 @@
 	ao2_lock(queue->members);
 	queue_member_follower_removal(queue, mem);
 	ao2_unlink(queue->members, mem);
+	ast_devstate_changed(QUEUE_UNKNOWN_PAUSED_DEVSTATE, "qpause:%s:%s", queue->name, mem->interface);
 	ao2_unlock(queue->members);
 }
 
@@ -3987,6 +3998,8 @@
 					ao2_ref(mem, -1);
 					return;
 				}
+				// Now Set the proper paused device state
+				ast_devstate_changed(paused ? QUEUE_PAUSED_DEVSTATE : QUEUE_UNPAUSED_DEVSTATE, "qpause:%s:%s", q->name, mem->interface);
 				ao2_ref(mem, -1);
 			}
 			ao2_unlock(qe->parent);
@@ -6212,6 +6225,8 @@
 						"Paused: %d\r\n",
 							q->name, mem->interface, mem->membername, paused);
 				}
+				// Now Set the proper paused device state
+				ast_devstate_changed(paused ? QUEUE_PAUSED_DEVSTATE : QUEUE_UPAUSED_DEVSTATE, "qpause:%s:%s", q->name, mem->interface);
 				ao2_ref(mem, -1);
 			}
 		}
